import { g as o, h as n, i as e } from "./index-16cc6938.mjs";
import "vue";
const c = {
  key: "_divider",
  name: "Divider",
  description: "",
  icon: "mdiLineScan",
  sequence: 42,
  transform: o("el-divider", (i, t) => {
    i["#"] = t._content;
  }),
  editor: {
    basic: {
      ui: [
        n("_content"),
        e("direction", ["horizontal", "vertical"]),
        e("border-style", [
          "none",
          "dotted",
          "dashed",
          "solid",
          "double",
          "groove",
          "ridge",
          "inset",
          "outset"
        ]),
        e("content-position", ["left", "right", "center"])
      ],
      init: {
        direction: "horizontal",
        "border-style": "solid",
        "content-position": "center"
      }
    }
  }
};
export {
  c as default
};
